Subject: Re: bug#20032: eww: access bookmarks right from the URI prompt

From: Ivan Shmakov <[email-masked]>
Date: Sat, 26 Dec 2015 09:42:38 +0000

>>>>> Lars Ingebrigtsen <[email-masked]> writes:
>>>>> Ivan Shmakov <[email-masked]> writes:

 >> On a related note, can we please make eww-bookmarks a defcustom and
 >> thus replace eww-write-bookmarks, eww-read-bookmarks with
 >> customize-save-variable and the regular custom-set-variables
 >> mechanism, respectively?

 > No, I think it makes more sense to keep the bookmarks separate, since
 > there may be many of them.  They would just be noise in .emacs.

	The customizations are saved to custom-file, which is not
	necessarily ~/.emacs.

	Alternatively, we may decide to use 'bookmark for the URI
	bookmarks as well.  I have no idea what the benefits (apart from
	getting rid of potential code duplication) it may bring, if any.

	But personally, I’ve ended up just using a plain setq in my
	~/.emacs, with neither Customize nor EWW native bookmark support
	getting in the way.  (One may want to redefine both
	eww-read-bookmarks and eww-write-bookmarks to no-op when going
	this way, BTW.)

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A